import type { JsonValue, JsonObject, PackageJson } from 'type-fest';
export type MetapakConfiguration<T = JsonObject> = {
    configs: string[];
    sequence?: string[];
    data: T;
};
export type MetapakPackageJson<T, U> = PackageJson & {
    metapak: MetapakConfiguration<T>;
} & U;
export type MetapakModuleConfigs = Record<string, {
    base: string;
    srcDir: string;
    assetsDir: string;
    configs: string[];
}>;
export type MetapakContext = {
    modulesConfigs: MetapakModuleConfigs;
    modulesSequence: string[];
    configsSequence: string[];
};
export type PackageJSONTransformer<T, U> = (packageJSON: MetapakPackageJson<T, U>) => MetapakPackageJson<T, U>;
export declare const identity: <T>(x: T) => T;
export declare const identityAsync: <T>(x: T) => Promise<T>;
export declare function mapConfigsSequentially<T>(metapakContext: MetapakContext, fn: (metapakModuleName: string, metapakModuleConfig: string) => Promise<T>): Promise<T[]>;
export declare function buildDiff(newData: JsonValue, originalData: JsonValue): string;
