import chalk from 'chalk';
import { diffJson } from 'diff';
export const identity = (x) => x;
export const identityAsync = async (x) => x;
export async function mapConfigsSequentially(metapakContext, fn) {
    const transformers = [];
    for (const configName of metapakContext.configsSequence) {
        for (const moduleName of metapakContext.modulesSequence) {
            const transformer = await fn(moduleName, configName);
            transformers.push(transformer);
        }
    }
    return transformers;
}
export function buildDiff(newData, originalData) {
    return diffJson(originalData, newData, {})
        .map((part) => (part.added ? chalk.green : part.removed ? chalk.red : chalk.grey)(part.value))
        .join('');
}
//# sourceMappingURL=utils.js.map