import type { MetapakContext, MetapakPackageJson } from '../libs/utils.js';
import type { GlobOptions } from 'glob';
import type { FSService } from './fs.js';
import type { ImporterService, LogService } from 'common-services';
export type BuildPackageAssetsService = (packageConf: MetapakPackageJson<unknown, unknown>, metapakContext: MetapakContext) => Promise<void>;
export type AssetFile = {
    dir: string;
    name: string;
    data: string;
};
export type PackageAssetsTransformer<T, U> = (file: AssetFile, packageConf: MetapakPackageJson<T, U>, services: {
    PROJECT_DIR: string;
    log: LogService;
    fs: FSService;
}) => Promise<AssetFile>;
declare const _default: import("knifecycle").ServiceInitializer<{
    PROJECT_DIR: string;
    fs: FSService;
    log: LogService;
    glob: (pattern: string, options: GlobOptions) => Promise<string[]>;
    importer: ImporterService<{
        default: PackageAssetsTransformer<unknown, unknown>;
    }>;
}, (packageConf: MetapakPackageJson<unknown, unknown>, metapakContext: MetapakContext) => Promise<boolean>>;
export default _default;
