/// <reference types="node" resolution-mode="require"/>
/// <reference types="node" resolution-mode="require"/>
import fs from 'fs';
import type { WriteFileOptions } from 'fs';
import type { LogService } from 'common-services';
import type { ProgramOptionsService } from './programOptions.js';
export type FSService = {
    mkdirpAsync: (path: string) => Promise<void>;
    readFileAsync: (path: string) => Promise<Buffer>;
    accessAsync: (path: string) => Promise<void>;
    readdirAsync: (path: string) => Promise<string[]>;
    unlinkAsync: (path: string) => Promise<void>;
    writeFileAsync: (path: string, data: Buffer, options?: WriteFileOptions) => Promise<void>;
    constants: typeof fs.constants;
};
declare const _default: import("knifecycle").ServiceInitializer<{
    programOptions: ProgramOptionsService;
    log: LogService;
}, FSService>;
export default _default;
