import type { MetapakPackageJson, MetapakContext } from '../libs/utils.js';
import type { FSService } from './fs.js';
import type { ImporterService, LogService } from 'common-services';
declare const _default: import("knifecycle").ServiceInitializer<{
    ENV: Record<string, string>;
    PROJECT_DIR: string;
    GIT_HOOKS_DIR: string;
    fs: FSService;
    EOL: string;
    log: LogService;
    importer: ImporterService<{
        default: GitHooksTransformer<unknown, unknown>;
    }>;
}, BuildPackageGitHooksService>;
export default _default;
export type HooksHash = Partial<Record<'applypatch-msg' | 'post-update' | 'pre-commit' | 'pre-rebase' | 'commit-msg' | 'pre-applypatch' | 'prepare-commit-msg' | 'update' | 'commit-msg' | 'pre-commit' | 'pre-push', string[]>>;
export type GitHooksTransformer<T, U> = (hooks: HooksHash, packageConf: MetapakPackageJson<T, U>) => HooksHash;
export type BuildPackageGitHooksService = (packageConf: MetapakPackageJson<unknown, unknown>, metapakContext: MetapakContext) => Promise<void>;
